Subject: [MEXT] Issue #15: BRR sent by HA too, not only by CN

From: "Charles E. Perkins" <[email-masked]>
Date: Wed, 01 Oct 2008 12:42:52 -0700

Hello folks,

Here is the URL for the discussion:
http://trac.tools.ietf.org/wg/mext/trac/ticket/15

I think it is clear that RFC3775 restricts the BRR
to be used by the correspondent nodes.  Of course,
any node (including a home agent) can also host
correspondent node protocol operations, but
for the purposes of this discussion such a node
should be called a correspondent node regardless
of whether or not it is also a home agent.

As one example, section 6.1.2 states:
   The Binding Refresh Request (BRR) message requests a mobile node to
   update its mobility binding.  This message is sent by correspondent
   nodes according to the rules in Section 9.5.5.

I don't think that there has been much support
for changing the standardized usage of BRR to
include new functionality at the home agent.
Since the mobile node has to request acknowledgement,
there is little likelihood that a lost BU would go
unnoticed by the mobile node.  Thus there is little
likelihood that the home agent would need to
remind the mobile node that it was time to update
its binding.

I propose that this issue be closed with no
further changes to rfc3775bis.  I don't find that
the existing text is unclear, and there is no suggestion
that the home agent, in its role as the mobility anchor
and router for the mobile node, needs to send BRR
for other reasons.

If anyone finds some text in the document that is not
clear on this point, please let me know.  I searched
for every occurrence of "Binding Refresh" and "BRR"
and did not find problems.

Regards,
Charlie P.

_______________________________________________
MEXT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mext

---

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 01 Oct 2008 23:48:52 +0200

Charles,

First thanks for taking detailed care of this issue (among the others).

Charles E. Perkins wrote:
> I think it is clear that RFC3775 restricts the BRR to be used by the
> correspondent nodes.  Of course, any node (including a home agent)
> can also host correspondent node protocol operations, but for the
> purposes of this discussion such a node should be called a
> correspondent node regardless of whether or not it is also a home
> agent.

This clarification could be stated, like saying 'for BRR, the HA is not 
a CN'.  This is paramount help for implementer planning for the features 
to implement.

> As one example, section 6.1.2 states: The Binding Refresh Request
> (BRR) message requests a mobile node to update its mobility binding.
> This message is sent by correspondent nodes according to the rules in
> Section 9.5.5.
> 
> I don't think that there has been much support for changing the
> standardized usage of BRR to include new functionality at the home
> agent. Since the mobile node has to request acknowledgement, there is
> little likelihood that a lost BU would go unnoticed by the mobile
> node.  Thus there is little likelihood that the home agent would need
> to remind the mobile node that it was time to update its binding.

Well yes, the MN can timeout when the sent BU is unreplied.

But logically, the HA can't distinguish whether the BU was sent and 
lost, or hasn't been sent at all.  Having the HA do a BRR when _its_ 
timer expired (HA's timer) clearl makes sense towards a more reliable 
exchange.

> I propose that this issue be closed with no further changes to
> rfc3775bis.  I don't find that the existing text is unclear, and
> there is no suggestion that the home agent, in its role as the
> mobility anchor and router for the mobile node, needs to send BRR for
> other reasons.

Maybe one would exemplify how HA sending BRR breaks something.  Maybe 
it's just perceived as an unnecessary textual change.  In a 150+ pp 
document this reticence could be justified.

> If anyone finds some text in the document that is not clear on this
> point, please let me know.  I searched for every occurrence of
> "Binding Refresh" and "BRR" and did not find problems.

Just that at some point it's said that HA acts as a CN (and CN sends 
BRR), but you already said that.  That's all I could think of.

Thanks,

Alex

______________________________________________________________________
This email has been scanned by the MessageLabs Email Security System.
For more information please visit http://www.messagelabs.com/email 
______________________________________________________________________
_______________________________________________
MEXT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mext

---

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 01 Oct 2008 23:50:05 +0200

Sorry following up my own message, I forgot to say I agree with the 
resolution.

Alex

---

From: "Charles E. Perkins" <[email-masked]>
Date: Thu, 02 Oct 2008 14:45:56 -0700

Hello Alex,

Alexandru Petrescu wrote:
> This clarification could be stated, like saying 'for BRR, the HA is 
> not a CN'.  This is paramount help for implementer planning for the 
> features to implement.

I confess that I am not sure what the intention
would be for the suggested text in quotes.

> timer expired (HA's timer) clearl makes sense towards a more reliable 

But it is just this use of BRR that is at issue.  On the one hand, we
have that the MN should be responsible for making sure that the
BU is sent and acknowledged.  On the other hand, you suggest
that the home agent should remind the MN that the binding is
timing out.  I believe that the MN should be designed to avoid
the need for this reminder.
> document this reticence could be justified.

If it were just adding the text, of course I would not mind.

The prospect of having the home agent send out reminders for
dozens or hundreds of mobile nodes per hour, that may even
have powered down, seems like a bad idea to me.  That's how
I would exemplify the downside.

Regards,
Charlie P.